Sympa::Spindle::DoCommand(3Sympa)

NAME
Sympa::Spindle::DoCommand - Workflow to handle command messages

DESCRIPTION
Sympa::Spindle::DoCommand handles command messages bound for sympa, [list]-subscribe or [list]-unsubscribe address.

If a message has one of types above, commands in the message will be parsed and executed. Otherwise messages will be skipped.

  Public methods
See also "Public methods" in Sympa::Spindle::ProcessIncoming.

new ( key => value, ... )
spin ( )
    In most cases, Sympa::Spindle::ProcessIncoming splices messages to this class. These methods are not used in ordinal case.

SEE ALSO
Sympa::Message, Sympa::Spindle::ProcessIncoming, Sympa::Spindle::ProcessMessage.

HISTORY
Sympa::Spindle::DoCommand appeared on Sympa 6.2.13.